Subject: Search for Independent Submissions Editor (ISE) Candidates

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 20 Oct 2021 09:30:23 -0700

The IAB is responsible for overseeing the volunteer Independent
Submissions Editor (ISE) position. The current appointee is Adrian 
Farrel, whose term expires in February 2022. Adrian is not seeking 
another appointment; the IAB thanks him for his service over the past 
four years.

The requirements and responsibility for the role are documented in
<https://datatracker.ietf.org/doc/rfc8730/>.

The IAB (with help from the other RFC streams) is identifying potential 
candidates for this role, with the intent to gather community feedback 
and make an appointment early next year. Suggestions for candidates are 
welcome at [email-masked].

For the IAB,
Cindy Morgan
IAB Executive Administrative Manager